View Issue Details

IDProjectCategoryView StatusLast Update
0006234Kali Linux[All Projects] Kali Package Bugpublic2020-04-14 14:51
Reportermengya Assigned Tosbrun  
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2020.1 
Target VersionFixed in Version 
Summary0006234: kali-ettercap-graphical.desktop has ettercap -G instead of ettercap-pkexec -G as the Exec
DescriptionLinux m 5.4.0-kali4-amd64 0000001 SMP Debian 5.4.19-1kali1 (2020-02-17) x86_64 GNU/Linux
Non-root users open ettercap 0.8.3 and crash
Video files are only evidence of bugs
Steps To ReproducePreconditions:
Kali Linux m 5.4.0-kali4-amd64 # 1 SMP Debian 5.4.19-1kali1 (2020-02-17) x86_64 GNU / Linux has been built
ettercap 0.8.3
1. Application —> Sniffer
2. Click "ettercap-gui" to enter the application interface
3.sniffing at startup open, primary interface wlan0, brided sniffing off, bridged interface local Lpppack
4. Click on "Accepc"
Expected result: Prompt the user for a password to gain permissions and enter the ettercap application interface
actual results:
Flashback (ettercap failed to run)

Relationships

has duplicate 0006233 closed Non-root users open and crash 

Activities

mengya

2020-03-30 09:49

reporter   ~0012560

Sorry, attachment 0.8m video upload failed

steev

2020-04-10 18:18

developer   ~0012602

We will get this fixed - as a workaround, you can do a search for ettercap in the whiskermenu search and choose the Ettercap option, which does the correct thing.

atdtphreaker

2020-04-12 14:07

reporter   ~0012605

@mengya
@steev

OR

"sudo ettercap -G" (from terminal command line)

mengya

2020-04-12 15:47

reporter   ~0012606

Reproduced the bug of Atttphreaker, which is not found temporarily.
expected:
kali version
Linux mengya 5.4.0-kali4-amd64 # 1 SMP Debian 5.4.19-1kali1 (2020-02-17) x86_64 GNU / Linux
Open the terminal with a normal user
recurrent:
1.sudo ettercap -G
2. Enter the common user password
3. Sniffing at startup, main interface wlan0, bride sniffing, bridge interface local Lpppack4.
Click "Accepc"
Expected result Enter the main interface
Actual results Enter the main interface
Suggestion: restart after apt update && apt upgrade -y and try again.

mengya

2020-04-14 01:59

reporter   ~0012613

bug fix
1. Open the terminal sudo su and enter the password
2.vim /usr/share/applications/kali-ettercap-graphical.desktop
3. Modify the fourth line Exec = sh -c "ettercap -G" to Exec = sh -c "ettercap-pkexec -G"
4. Exit and save, then reproduce the problem to solve.

sbrun

2020-04-14 14:51

manager   ~0012619

fixed in kali-menu 2020.2.0

Issue History

Date Modified Username Field Change
2020-03-30 09:47 mengya New Issue
2020-03-30 09:47 mengya Issue generated from: 0006233
2020-03-30 09:47 mengya Relationship added child of 0006233
2020-03-30 09:49 mengya Note Added: 0012560
2020-03-30 14:40 g0tmi1k Relationship replaced has duplicate 0006233
2020-04-10 18:18 steev Note Added: 0012602
2020-04-10 18:20 steev Summary Non-root users open and crash => kali-ettercap-graphical.desktop has ettercap -G instead of ettercap-pkexec -G as the Exec
2020-04-11 12:08 rhertzog Assigned To => sbrun
2020-04-11 12:08 rhertzog Status new => assigned
2020-04-12 14:07 atdtphreaker Note Added: 0012605
2020-04-12 15:47 mengya Note Added: 0012606
2020-04-14 01:59 mengya Note Added: 0012613
2020-04-14 14:51 sbrun Status assigned => resolved
2020-04-14 14:51 sbrun Resolution open => fixed
2020-04-14 14:51 sbrun Note Added: 0012619